﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace XamWebDataChartSLApp.Converters
{
    public class TicksToDateTime : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is double && targetType == typeof(string))
            {
                string param = parameter as string;
                double val = (double)value;
                if (!string.IsNullOrEmpty(param))
                {
                    return new DateTime((long)val).ToString(param, culture.DateTimeFormat);
                }
                else
                {
                    return new DateTime((long)val).ToString(culture.DateTimeFormat);
                }
            }
            return "";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
